g.cairocomp(1)

NAME
g.cairocomp - Overlays multiple X Pixmaps.

KEYWORDS
general, display

SYNOPSIS
g.cairocomp
g.cairocomp --help
g.cairocomp [-d] input=name[,name,...] output=name [visual=integer] [screen=integer] [opacity=float[,float,...]] width=integer height=integer [bgcolor=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-d
    Do not composite; just delete input Pixmaps

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name[,name,...] [required]
    Name of input file(s)

output=name [required]
    Name for output file

visual=integer
    Output Visual XID

screen=integer
    Output screen

opacity=float[,float,...]
    Layer opacities

width=integer [required]
    Image width

height=integer [required]
    Image height

bgcolor=name
    Background color (R:G:B:A)
    Either a standard color name or R:G:B triplet

DESCRIPTION
g.cairocomp isn’t meant for end users.

g.cairocomp is similar to g.pnmcomp, except that it works with X Pixmaps instead of PNM files.

SEE ALSO
g.pnmcomp

AUTHOR
Glynn Clements

SOURCE CODE

Available at: g.cairocomp source code (history)

Accessed: Wednesday Jul 09 13:12:25 2025

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual